Explorar o código

Merge branch 'release/180908'

Daniel Gibbs %!s(int64=7) %!d(string=hai) anos
pai
achega
9fd87a648f
Modificáronse 100 ficheiros con 662 adicións e 161 borrados
  1. 1 1
      LICENSE
  2. 4 1
      lgsm/config-default/config-lgsm/arkserver/_default.cfg
  3. 4 1
      lgsm/config-default/config-lgsm/arma3server/_default.cfg
  4. 4 1
      lgsm/config-default/config-lgsm/bb2server/_default.cfg
  5. 3 0
      lgsm/config-default/config-lgsm/bbserver/_default.cfg
  6. 4 1
      lgsm/config-default/config-lgsm/bdserver/_default.cfg
  7. 4 1
      lgsm/config-default/config-lgsm/bf1942server/_default.cfg
  8. 4 1
      lgsm/config-default/config-lgsm/bmdmserver/_default.cfg
  9. 4 1
      lgsm/config-default/config-lgsm/boserver/_default.cfg
  10. 4 1
      lgsm/config-default/config-lgsm/bsserver/_default.cfg
  11. 4 1
      lgsm/config-default/config-lgsm/bt1944server/_default.cfg
  12. 4 1
      lgsm/config-default/config-lgsm/ccserver/_default.cfg
  13. 4 1
      lgsm/config-default/config-lgsm/cod2server/_default.cfg
  14. 4 1
      lgsm/config-default/config-lgsm/cod4server/_default.cfg
  15. 4 1
      lgsm/config-default/config-lgsm/codserver/_default.cfg
  16. 4 1
      lgsm/config-default/config-lgsm/coduoserver/_default.cfg
  17. 4 1
      lgsm/config-default/config-lgsm/codwawserver/_default.cfg
  18. 4 1
      lgsm/config-default/config-lgsm/csczserver/_default.cfg
  19. 3 0
      lgsm/config-default/config-lgsm/csgoserver/_default.cfg
  20. 4 1
      lgsm/config-default/config-lgsm/csserver/_default.cfg
  21. 4 1
      lgsm/config-default/config-lgsm/cssserver/_default.cfg
  22. 4 1
      lgsm/config-default/config-lgsm/dabserver/_default.cfg
  23. 4 1
      lgsm/config-default/config-lgsm/dmcserver/_default.cfg
  24. 4 1
      lgsm/config-default/config-lgsm/dodserver/_default.cfg
  25. 4 1
      lgsm/config-default/config-lgsm/dodsserver/_default.cfg
  26. 4 1
      lgsm/config-default/config-lgsm/doiserver/_default.cfg
  27. 4 1
      lgsm/config-default/config-lgsm/dstserver/_default.cfg
  28. 3 0
      lgsm/config-default/config-lgsm/ecoserver/_default.cfg
  29. 4 1
      lgsm/config-default/config-lgsm/emserver/_default.cfg
  30. 4 1
      lgsm/config-default/config-lgsm/etlserver/_default.cfg
  31. 4 1
      lgsm/config-default/config-lgsm/fctrserver/_default.cfg
  32. 4 1
      lgsm/config-default/config-lgsm/fofserver/_default.cfg
  33. 4 1
      lgsm/config-default/config-lgsm/gesserver/_default.cfg
  34. 4 2
      lgsm/config-default/config-lgsm/gmodserver/_default.cfg
  35. 4 1
      lgsm/config-default/config-lgsm/hl2dmserver/_default.cfg
  36. 4 1
      lgsm/config-default/config-lgsm/hldmserver/_default.cfg
  37. 4 1
      lgsm/config-default/config-lgsm/hldmsserver/_default.cfg
  38. 4 1
      lgsm/config-default/config-lgsm/hwserver/_default.cfg
  39. 4 1
      lgsm/config-default/config-lgsm/insserver/_default.cfg
  40. 4 1
      lgsm/config-default/config-lgsm/jc2server/_default.cfg
  41. 4 1
      lgsm/config-default/config-lgsm/jc3server/_default.cfg
  42. 4 1
      lgsm/config-default/config-lgsm/kf2server/_default.cfg
  43. 4 1
      lgsm/config-default/config-lgsm/kfserver/_default.cfg
  44. 4 1
      lgsm/config-default/config-lgsm/l4d2server/_default.cfg
  45. 4 1
      lgsm/config-default/config-lgsm/l4dserver/_default.cfg
  46. 3 0
      lgsm/config-default/config-lgsm/mcserver/_default.cfg
  47. 4 1
      lgsm/config-default/config-lgsm/mtaserver/_default.cfg
  48. 4 1
      lgsm/config-default/config-lgsm/mumbleserver/_default.cfg
  49. 4 1
      lgsm/config-default/config-lgsm/nmrihserver/_default.cfg
  50. 4 1
      lgsm/config-default/config-lgsm/ns2cserver/_default.cfg
  51. 4 1
      lgsm/config-default/config-lgsm/ns2server/_default.cfg
  52. 3 0
      lgsm/config-default/config-lgsm/nsserver/_default.cfg
  53. 4 1
      lgsm/config-default/config-lgsm/opforserver/_default.cfg
  54. 4 1
      lgsm/config-default/config-lgsm/pcserver/_default.cfg
  55. 134 0
      lgsm/config-default/config-lgsm/pstbsserver/_default.cfg
  56. 4 1
      lgsm/config-default/config-lgsm/pvkiiserver/_default.cfg
  57. 4 1
      lgsm/config-default/config-lgsm/pzserver/_default.cfg
  58. 4 1
      lgsm/config-default/config-lgsm/q2server/_default.cfg
  59. 4 1
      lgsm/config-default/config-lgsm/q3server/_default.cfg
  60. 4 1
      lgsm/config-default/config-lgsm/qlserver/_default.cfg
  61. 4 1
      lgsm/config-default/config-lgsm/qwserver/_default.cfg
  62. 4 1
      lgsm/config-default/config-lgsm/ricochetserver/_default.cfg
  63. 4 1
      lgsm/config-default/config-lgsm/roserver/_default.cfg
  64. 4 1
      lgsm/config-default/config-lgsm/rustserver/_default.cfg
  65. 4 1
      lgsm/config-default/config-lgsm/rwserver/_default.cfg
  66. 4 1
      lgsm/config-default/config-lgsm/sampserver/_default.cfg
  67. 4 1
      lgsm/config-default/config-lgsm/sbserver/_default.cfg
  68. 3 0
      lgsm/config-default/config-lgsm/sdtdserver/_default.cfg
  69. 4 1
      lgsm/config-default/config-lgsm/squadserver/_default.cfg
  70. 4 1
      lgsm/config-default/config-lgsm/ss3server/_default.cfg
  71. 4 1
      lgsm/config-default/config-lgsm/stserver/_default.cfg
  72. 4 1
      lgsm/config-default/config-lgsm/svenserver/_default.cfg
  73. 4 1
      lgsm/config-default/config-lgsm/terrariaserver/_default.cfg
  74. 4 1
      lgsm/config-default/config-lgsm/tf2server/_default.cfg
  75. 4 1
      lgsm/config-default/config-lgsm/tfcserver/_default.cfg
  76. 4 1
      lgsm/config-default/config-lgsm/ts3server/_default.cfg
  77. 4 1
      lgsm/config-default/config-lgsm/tuserver/_default.cfg
  78. 4 1
      lgsm/config-default/config-lgsm/twserver/_default.cfg
  79. 4 1
      lgsm/config-default/config-lgsm/ut2k4server/_default.cfg
  80. 4 1
      lgsm/config-default/config-lgsm/ut3server/_default.cfg
  81. 4 1
      lgsm/config-default/config-lgsm/ut99server/_default.cfg
  82. 4 1
      lgsm/config-default/config-lgsm/utserver/_default.cfg
  83. 3 0
      lgsm/config-default/config-lgsm/vsserver/_default.cfg
  84. 4 1
      lgsm/config-default/config-lgsm/wetserver/_default.cfg
  85. 4 1
      lgsm/config-default/config-lgsm/zpsserver/_default.cfg
  86. 1 0
      lgsm/data/serverlist.csv
  87. 7 2
      lgsm/functions/check_ip.sh
  88. 8 5
      lgsm/functions/check_system_requirements.sh
  89. 1 1
      lgsm/functions/command_debug.sh
  90. 1 1
      lgsm/functions/command_dev_query_raw.sh
  91. 2 2
      lgsm/functions/command_update_linuxgsm.sh
  92. 82 39
      lgsm/functions/command_wipe.sh
  93. 3 2
      lgsm/functions/core_getopt.sh
  94. 9 4
      lgsm/functions/core_messages.sh
  95. 1 1
      lgsm/functions/fix.sh
  96. 34 1
      lgsm/functions/info_config.sh
  97. 25 21
      lgsm/functions/info_distro.sh
  98. 4 1
      lgsm/functions/info_glibc.sh
  99. 23 2
      lgsm/functions/info_messages.sh
  100. 1 1
      lgsm/functions/query_gamedig.sh

+ 1 - 1
LICENSE

@@ -1,6 +1,6 @@
 The MIT License (MIT)
 
-Copyright (c) 2017 Daniel Gibbs
+Copyright (c) 2018 Daniel Gibbs
 
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal

+ 4 - 1
lgsm/config-default/config-lgsm/arkserver/_default.cfg

@@ -62,7 +62,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -83,6 +83,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="376030"

+ 4 - 1
lgsm/config-default/config-lgsm/arma3server/_default.cfg

@@ -78,7 +78,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -99,6 +99,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="233780"

+ 4 - 1
lgsm/config-default/config-lgsm/bb2server/_default.cfg

@@ -68,7 +68,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -89,6 +89,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="475370"

+ 3 - 0
lgsm/config-default/config-lgsm/bbserver/_default.cfg

@@ -83,6 +83,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="90"

+ 4 - 1
lgsm/config-default/config-lgsm/bdserver/_default.cfg

@@ -62,7 +62,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -83,6 +83,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="817300"

+ 4 - 1
lgsm/config-default/config-lgsm/bf1942server/_default.cfg

@@ -55,7 +55,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -76,6 +76,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## LinuxGSM Server Details
 # Do not edit
 gamename="Battlefield: 1942"

+ 4 - 1
lgsm/config-default/config-lgsm/bmdmserver/_default.cfg

@@ -68,7 +68,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -89,6 +89,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="346680"

+ 4 - 1
lgsm/config-default/config-lgsm/boserver/_default.cfg

@@ -61,7 +61,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -82,6 +82,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="416880"

+ 4 - 1
lgsm/config-default/config-lgsm/bsserver/_default.cfg

@@ -67,7 +67,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -88,6 +88,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="228780"

+ 4 - 1
lgsm/config-default/config-lgsm/bt1944server/_default.cfg

@@ -60,7 +60,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -81,6 +81,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="805140"

+ 4 - 1
lgsm/config-default/config-lgsm/ccserver/_default.cfg

@@ -63,7 +63,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -84,6 +84,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="383410"

+ 4 - 1
lgsm/config-default/config-lgsm/cod2server/_default.cfg

@@ -61,7 +61,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -79,6 +79,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## LinuxGSM Server Details
 # Do not edit
 gamename="Call of Duty 2"

+ 4 - 1
lgsm/config-default/config-lgsm/cod4server/_default.cfg

@@ -61,7 +61,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -79,6 +79,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## LinuxGSM Server Details
 # Do not edit
 gamename="Call of Duty 4"

+ 4 - 1
lgsm/config-default/config-lgsm/codserver/_default.cfg

@@ -61,7 +61,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -79,6 +79,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## LinuxGSM Server Details
 # Do not edit
 gamename="Call of Duty"

+ 4 - 1
lgsm/config-default/config-lgsm/coduoserver/_default.cfg

@@ -61,7 +61,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -79,6 +79,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## LinuxGSM Server Details
 # Do not edit
 gamename="Call of Duty: United Offensive"

+ 4 - 1
lgsm/config-default/config-lgsm/codwawserver/_default.cfg

@@ -61,7 +61,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -79,6 +79,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## LinuxGSM Server Details
 # Do not edit
 gamename="Call of Duty: World at War"

+ 4 - 1
lgsm/config-default/config-lgsm/csczserver/_default.cfg

@@ -62,7 +62,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -83,6 +83,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="90"

+ 3 - 0
lgsm/config-default/config-lgsm/csgoserver/_default.cfg

@@ -107,6 +107,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="740"

+ 4 - 1
lgsm/config-default/config-lgsm/csserver/_default.cfg

@@ -62,7 +62,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -83,6 +83,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="90"

+ 4 - 1
lgsm/config-default/config-lgsm/cssserver/_default.cfg

@@ -68,7 +68,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -89,6 +89,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="232330"

+ 4 - 1
lgsm/config-default/config-lgsm/dabserver/_default.cfg

@@ -63,7 +63,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -84,6 +84,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="317800"

+ 4 - 1
lgsm/config-default/config-lgsm/dmcserver/_default.cfg

@@ -62,7 +62,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -83,6 +83,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="90"

+ 4 - 1
lgsm/config-default/config-lgsm/dodserver/_default.cfg

@@ -62,7 +62,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -83,6 +83,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="90"

+ 4 - 1
lgsm/config-default/config-lgsm/dodsserver/_default.cfg

@@ -63,7 +63,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -84,6 +84,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="232290"

+ 4 - 1
lgsm/config-default/config-lgsm/doiserver/_default.cfg

@@ -65,7 +65,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -86,6 +86,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="462310"

+ 4 - 1
lgsm/config-default/config-lgsm/dstserver/_default.cfg

@@ -66,7 +66,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -87,6 +87,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="343050"

+ 3 - 0
lgsm/config-default/config-lgsm/ecoserver/_default.cfg

@@ -72,6 +72,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="739590"

+ 4 - 1
lgsm/config-default/config-lgsm/emserver/_default.cfg

@@ -68,7 +68,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -89,6 +89,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="460040"

+ 4 - 1
lgsm/config-default/config-lgsm/etlserver/_default.cfg

@@ -55,7 +55,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -73,6 +73,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## LinuxGSM Server Details
 # Do not edit
 gamename="ET: Legacy"

+ 4 - 1
lgsm/config-default/config-lgsm/fctrserver/_default.cfg

@@ -62,7 +62,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -83,6 +83,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## LinuxGSM Server Details
 # Do not edit
 gamename="Factorio"

+ 4 - 1
lgsm/config-default/config-lgsm/fofserver/_default.cfg

@@ -63,7 +63,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -84,6 +84,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="295230"

+ 4 - 1
lgsm/config-default/config-lgsm/gesserver/_default.cfg

@@ -63,7 +63,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -84,6 +84,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="310" # Source 2007 SDK

+ 4 - 2
lgsm/config-default/config-lgsm/gmodserver/_default.cfg

@@ -24,9 +24,8 @@ wsapikey=""
 wscollectionid=""
 
 ## Custom Start Parameters
-# Default +r_hunkalloclightmaps 0, fixes a start issue on maps with many lights
 # Default -disableluarefresh, disables lua autorefresh reducing server lag. Auto refresh only useful for developers.
-customparms="+r_hunkalloclightmaps 0 -disableluarefresh"
+customparms="-disableluarefresh"
 
 ## Optional: Game Server Login Token
 # GSLT can be used for running a public server.
@@ -101,6 +100,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="4020"

+ 4 - 1
lgsm/config-default/config-lgsm/hl2dmserver/_default.cfg

@@ -63,7 +63,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -84,6 +84,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="232370"

+ 4 - 1
lgsm/config-default/config-lgsm/hldmserver/_default.cfg

@@ -62,7 +62,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -83,6 +83,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="90"

+ 4 - 1
lgsm/config-default/config-lgsm/hldmsserver/_default.cfg

@@ -63,7 +63,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -84,6 +84,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="255470"

+ 4 - 1
lgsm/config-default/config-lgsm/hwserver/_default.cfg

@@ -76,7 +76,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -97,6 +97,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="405100"

+ 4 - 1
lgsm/config-default/config-lgsm/insserver/_default.cfg

@@ -70,7 +70,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -91,6 +91,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="237410"

+ 4 - 1
lgsm/config-default/config-lgsm/jc2server/_default.cfg

@@ -55,7 +55,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -76,6 +76,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="261140"

+ 4 - 1
lgsm/config-default/config-lgsm/jc3server/_default.cfg

@@ -55,7 +55,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -76,6 +76,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="619960"

+ 4 - 1
lgsm/config-default/config-lgsm/kf2server/_default.cfg

@@ -61,7 +61,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -82,6 +82,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="232130"

+ 4 - 1
lgsm/config-default/config-lgsm/kfserver/_default.cfg

@@ -67,7 +67,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -88,6 +88,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="215360"

+ 4 - 1
lgsm/config-default/config-lgsm/l4d2server/_default.cfg

@@ -62,7 +62,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -83,6 +83,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="222860"

+ 4 - 1
lgsm/config-default/config-lgsm/l4dserver/_default.cfg

@@ -62,7 +62,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -83,6 +83,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="222840"

+ 3 - 0
lgsm/config-default/config-lgsm/mcserver/_default.cfg

@@ -78,6 +78,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## LinuxGSM Server Details
 # Do not edit
 gamename="Minecraft"

+ 4 - 1
lgsm/config-default/config-lgsm/mtaserver/_default.cfg

@@ -56,7 +56,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -74,6 +74,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## LinuxGSM Server Details
 # Do not edit
 gamename="Multi Theft Auto"

+ 4 - 1
lgsm/config-default/config-lgsm/mumbleserver/_default.cfg

@@ -56,7 +56,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -77,6 +77,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## LinuxGSM Server Details
 # Do not edit
 gamename="Mumble"

+ 4 - 1
lgsm/config-default/config-lgsm/nmrihserver/_default.cfg

@@ -68,7 +68,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -89,6 +89,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="317670"

+ 4 - 1
lgsm/config-default/config-lgsm/ns2cserver/_default.cfg

@@ -70,7 +70,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -91,6 +91,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="313900"

+ 4 - 1
lgsm/config-default/config-lgsm/ns2server/_default.cfg

@@ -74,7 +74,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -95,6 +95,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="4940"

+ 3 - 0
lgsm/config-default/config-lgsm/nsserver/_default.cfg

@@ -83,6 +83,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="90"

+ 4 - 1
lgsm/config-default/config-lgsm/opforserver/_default.cfg

@@ -62,7 +62,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -83,6 +83,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="90"

+ 4 - 1
lgsm/config-default/config-lgsm/pcserver/_default.cfg

@@ -56,7 +56,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -77,6 +77,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="332670"

+ 134 - 0
lgsm/config-default/config-lgsm/pstbsserver/_default.cfg

@@ -0,0 +1,134 @@
+##################################
+######## Default Settings ########
+##################################
+# DO NOT EDIT WILL BE OVERWRITTEN!
+# Copy settings from here and use them in either
+# common.cfg - applies settings to every instance
+# [instance].cfg - applies settings to a specific instance
+
+#### Server Settings ####
+
+## Server Start Settings | https://github.com/GameServerManagers/LinuxGSM/wiki/Start-Parameters
+
+ip="0.0.0.0"
+randommap="ALWAYS"
+port="10027"
+queryport="10037"
+#servername="LinuxGSM server"
+# If your server is not meeting the minimal server requirement, do not host the server for 80 players, decrease that number.
+maxplayers="40"
+numreservedslots="2"
+
+## Server Start Command | https://github.com/GameServerManagers/LinuxGSM/wiki/Start-Parameters#additional-parameters
+fn_parms(){
+parms="MULTIHOME=${ip}?RANDOM=${randommap}?Port=${port}?QueryPort=${queryport}?MaxPlayers=${maxplayers}?NumReservedSlots=${numreservedslots}"
+}
+
+#### LinuxGSM Settings ####
+
+## Notification Alerts
+# (on|off)
+
+# More info | https://github.com/GameServerManagers/LinuxGSM/wiki/Alerts#more-info
+postalert="off"
+postdays="7"
+posttarget="https://hastebin.com"
+
+# Discord Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Discord
+discordalert="off"
+discordwebhook="webhook"
+
+# Email Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Email
+emailalert="off"
+email="email@example.com"
+emailfrom=""
+
+# IFTTT Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/IFTTT
+iftttalert="off"
+ifttttoken="accesstoken"
+iftttevent="linuxgsm_alert"
+
+# Mailgun Email Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/mailgun
+mailgunalert="off"
+mailguntoken="accesstoken"
+mailgundomain="example.com"
+mailgunemailfrom="alert@example.com"
+mailgunemail="email@myemail.com"
+
+# Pushbullet Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Pushbullet
+pushbulletalert="off"
+pushbullettoken="accesstoken"
+channeltag=""
+
+# Pushover Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Pushover
+pushoveralert="off"
+pushovertoken="accesstoken"
+
+# Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
+# You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
+# any custom string in curl - simple ignore this parameter.
+telegramalert="off"
+telegramtoken="accesstoken"
+telegramchatid=""
+curlcustomstring=""
+
+## Updating | https://github.com/GameServerManagers/LinuxGSM/wiki/Update
+updateonstart="off"
+
+## Backup | https://github.com/GameServerManagers/LinuxGSM/wiki/Backup
+maxbackups="4"
+maxbackupdays="30"
+stoponbackup="on"
+
+## Logging | https://github.com/GameServerManagers/LinuxGSM/wiki/Logging
+consolelogging="on"
+logdays="7"
+
+#### LinuxGSM Advanced Settings ####
+
+# ANSI Colors
+ansi="on"
+
+## SteamCMD Settings
+# Server appid
+appid="746200"
+# Steam App Branch Select
+# Allows to opt into the various Steam app branches. Default branch is "".
+# Example: "-beta latest_experimental"
+branch=""
+
+## LinuxGSM Server Details
+# Do not edit
+gamename="pstbsserver"
+engine="unreal4"
+
+#### Directories ####
+# Edit with care
+
+## Server Specific Directories
+systemdir="${serverfiles}/PostScriptum"
+executabledir="${serverfiles}"
+executable="./PostScriptumServer.sh"
+servercfg="Server.cfg"
+servercfgdefault="Server.cfg"
+servercfgdir="${systemdir}/ServerConfig"
+servercfgfullpath="${servercfgdir}/${servercfg}"
+
+## Backup Directory
+backupdir="${lgsmdir}/backup"
+
+## Logging Directories
+logdir="${rootdir}/log"
+gamelogdir="${systemdir}/Saved/Logs"
+lgsmlogdir="${logdir}/script"
+consolelogdir="${logdir}/console"
+gamelog="${gamelogdir}/${servicename}-game.log"
+lgsmlog="${lgsmlogdir}/${servicename}-script.log"
+consolelog="${consolelogdir}/${servicename}-console.log"
+alertlog="${lgsmlogdir}/${servicename}-alert.log"
+postdetailslog="${lgsmlogdir}/${servicename}-postdetails.log"
+
+## Logs Naming
+lgsmlogdate="${lgsmlogdir}/${servicename}-script-$(date '+%Y-%m-%d-%H:%M:%S').log"
+consolelogdate="${consolelogdir}/${servicename}-console-$(date '+%Y-%m-%d-%H:%M:%S').log"

+ 4 - 1
lgsm/config-default/config-lgsm/pvkiiserver/_default.cfg

@@ -63,7 +63,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -84,6 +84,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="17575"

+ 4 - 1
lgsm/config-default/config-lgsm/pzserver/_default.cfg

@@ -58,7 +58,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -79,6 +79,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="380870"

+ 4 - 1
lgsm/config-default/config-lgsm/q2server/_default.cfg

@@ -60,7 +60,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -78,6 +78,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## LinuxGSM Server Details
 # Do not edit
 gamename="Quake 2"

+ 4 - 1
lgsm/config-default/config-lgsm/q3server/_default.cfg

@@ -60,7 +60,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -78,6 +78,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## LinuxGSM Server Details
 # Do not edit
 gamename="Quake 3: Arena"

+ 4 - 1
lgsm/config-default/config-lgsm/qlserver/_default.cfg

@@ -60,7 +60,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -81,6 +81,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="349090"

+ 4 - 1
lgsm/config-default/config-lgsm/qwserver/_default.cfg

@@ -59,7 +59,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -77,6 +77,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## LinuxGSM Server Details
 # Do not edit
 gamename="QuakeWorld"

+ 4 - 1
lgsm/config-default/config-lgsm/ricochetserver/_default.cfg

@@ -62,7 +62,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -83,6 +83,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="90"

+ 4 - 1
lgsm/config-default/config-lgsm/roserver/_default.cfg

@@ -63,7 +63,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -84,6 +84,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="223250"

+ 4 - 1
lgsm/config-default/config-lgsm/rustserver/_default.cfg

@@ -87,7 +87,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -108,6 +108,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="258550"

+ 4 - 1
lgsm/config-default/config-lgsm/rwserver/_default.cfg

@@ -58,7 +58,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -79,6 +79,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="339010"

+ 4 - 1
lgsm/config-default/config-lgsm/sampserver/_default.cfg

@@ -59,7 +59,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -77,6 +77,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## LinuxGSM Server Details
 # Do not edit
 gamename="San Andreas Multiplayer"

+ 4 - 1
lgsm/config-default/config-lgsm/sbserver/_default.cfg

@@ -62,7 +62,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -83,6 +83,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="211820"

+ 3 - 0
lgsm/config-default/config-lgsm/sdtdserver/_default.cfg

@@ -79,6 +79,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="294420"

+ 4 - 1
lgsm/config-default/config-lgsm/squadserver/_default.cfg

@@ -61,7 +61,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -82,6 +82,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="403240"

+ 4 - 1
lgsm/config-default/config-lgsm/ss3server/_default.cfg

@@ -59,7 +59,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -80,6 +80,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="41080"

+ 4 - 1
lgsm/config-default/config-lgsm/stserver/_default.cfg

@@ -65,7 +65,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -86,6 +86,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="600760"

+ 4 - 1
lgsm/config-default/config-lgsm/svenserver/_default.cfg

@@ -62,7 +62,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -83,6 +83,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="276060"

+ 4 - 1
lgsm/config-default/config-lgsm/terrariaserver/_default.cfg

@@ -62,7 +62,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -83,6 +83,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="105600"

+ 4 - 1
lgsm/config-default/config-lgsm/tf2server/_default.cfg

@@ -68,7 +68,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -89,6 +89,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="232250"

+ 4 - 1
lgsm/config-default/config-lgsm/tfcserver/_default.cfg

@@ -62,7 +62,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -83,6 +83,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="90"

+ 4 - 1
lgsm/config-default/config-lgsm/ts3server/_default.cfg

@@ -51,7 +51,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -72,6 +72,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## LinuxGSM Server Details
 # Do not edit
 gamename="TeamSpeak 3"

+ 4 - 1
lgsm/config-default/config-lgsm/tuserver/_default.cfg

@@ -65,7 +65,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -86,6 +86,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="439660"

+ 4 - 1
lgsm/config-default/config-lgsm/twserver/_default.cfg

@@ -62,7 +62,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -83,6 +83,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="380840"

+ 4 - 1
lgsm/config-default/config-lgsm/ut2k4server/_default.cfg

@@ -59,7 +59,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -77,6 +77,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## LinuxGSM Server Details
 # Do not edit
 gamename="Unreal Tournament 2004"

+ 4 - 1
lgsm/config-default/config-lgsm/ut3server/_default.cfg

@@ -70,7 +70,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -88,6 +88,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## LinuxGSM Server Details
 # Do not edit
 gamename="Unreal Tournament 3"

+ 4 - 1
lgsm/config-default/config-lgsm/ut99server/_default.cfg

@@ -59,7 +59,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -77,6 +77,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## LinuxGSM Server Details
 # Do not edit
 gamename="Unreal Tournament 99"

+ 4 - 1
lgsm/config-default/config-lgsm/utserver/_default.cfg

@@ -63,7 +63,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -81,6 +81,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## LinuxGSM Server Details
 # Do not edit
 gamename="Unreal Tournament"

+ 3 - 0
lgsm/config-default/config-lgsm/vsserver/_default.cfg

@@ -83,6 +83,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="90"

+ 4 - 1
lgsm/config-default/config-lgsm/wetserver/_default.cfg

@@ -55,7 +55,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -73,6 +73,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## LinuxGSM Server Details
 # Do not edit
 gamename="Wolfenstein: Enemy Territory"

+ 4 - 1
lgsm/config-default/config-lgsm/zpsserver/_default.cfg

@@ -68,7 +68,7 @@ pushovertoken="accesstoken"
 
 # Telegram Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/Telegram
 # You can add a custom cURL string eg proxy (useful in Russia) or else in "curlcustomstring".
-# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need 
+# like a "--socks5 ipaddr:port" for socks5 proxy see more in "curl --help", if you not need
 # any custom string in curl - simple ignore this parameter.
 telegramalert="off"
 telegramtoken="accesstoken"
@@ -89,6 +89,9 @@ logdays="7"
 
 #### LinuxGSM Advanced Settings ####
 
+# ANSI Colors
+ansi="on"
+
 ## SteamCMD Settings
 # Server appid
 appid="17505"

+ 1 - 0
lgsm/data/serverlist.csv

@@ -50,6 +50,7 @@ ns,nsserver,Natural Selection
 ns2,ns2server,Natural Selection 2
 ns2c,ns2cserver,NS2: Combat
 opfor,opforserver,Opposing Force
+pstbs,pstbsserver,Post Scriptum: The Bloody Seventh
 pvkii,pvkiiserver,Pirates Vikings & Knights II
 pc,pcserver,Project Cars
 pz,pzserver,Project Zomboid

+ 7 - 2
lgsm/functions/check_ip.sh

@@ -53,8 +53,13 @@ if [ "${gamename}" != "TeamSpeak 3" ]&&[ "${gamename}" != "Mumble" ]&&[ "${travi
 			echo -en "\n"
 			echo -en "https://linuxgsm.com/network-interfaces\n"
 			echo -en ""
-			fn_script_log_fatal "https://linuxgsm.com/network-interfaces\n"
-			core_exit.sh
+			# Do not exit for details and postdetails commands
+			if [ "${commandaction}" != "Details" ]&&[ "${commandaction}" != "Postdetails" ]; then
+				fn_script_log_fatal "https://linuxgsm.com/network-interfaces\n"
+				core_exit.sh
+			else
+				ip="NOT SET"
+			fi
 		# Single interface
 		elif [ "${ipsetinconfig}" == "1" ]; then
 			fn_print_fail "Check IP: IP address not set in game config."

+ 8 - 5
lgsm/functions/check_system_requirements.sh

@@ -12,19 +12,22 @@ info_distro.sh
 
 # RAM requirements in megabytes for each game or engine.
 
-if [ "${gamename}" == "ARK: Survival Evolved" ]; then
+if [ "${shortname}" == "ark" ]; then
 	ramrequirementmb="4000"
 	ramrequirementgb="4"
-elif [ "${gamename}" == "ARMA 3" ]; then
+elif [ "${shortname}" == "arma3" ]; then
 	ramrequirementmb="1000"
 	ramrequirementgb="1"
-elif [ "${gamename}" == "Rust" ]; then
+elif [ "${shortname}" == "rust" ]; then
 	ramrequirementmb="4000"
 	ramrequirementgb="4"
-elif [ "${gamename}" == "Minecraft" ]; then
+elif [ "${shortname}" == "mc" ]; then
 	ramrequirementmb="1000"
 	ramrequirementgb="1"
-elif [ "${gamename}" == "Natural Selection 2" ]||[ "${gamename}" == "NS2: Combat" ]; then
+elif [ "${shortname}" == "pstbs" ]; then
+	ramrequirementmb="2000"
+	ramrequirementgb="2"
+elif [ "${shortname}" == "ns2" ]||[ "${shortname}" == "ns2c" ]; then
 	ramrequirementmb="1000"
 	ramrequirementgb="1"
 elif [ "${shortname}" == "st" ]; then

+ 1 - 1
lgsm/functions/command_debug.sh

@@ -44,7 +44,7 @@ if [ -n "${glibcrequired}" ]; then
 		if [ "${glibcfix}" == "yes" ]; then
 			echo -e "${blue}GLIBC required:\t${red}${glibcrequired} ${default}(${green}Using GLIBC fix${default})"
 		else
-			echo -e "${blue}GLIBC required:\t${red}${glibcrequired} ${default}(${red}GLIBC version too old${default})"
+			echo -e "${blue}GLIBC required:\t${red}${glibcrequired} ${default}(${red}GLIBC distro version ${glibcversion} too old${default})"
 		fi
 	else
 		echo -e "${blue}GLIBC required:\t${green}${glibcrequired}${default}"

+ 1 - 1
lgsm/functions/command_dev_query_raw.sh

@@ -1,7 +1,7 @@
 #!/bin/bash
 # command_dev_query_raw.sh function
 # Author: Daniel Gibbs
-# Website: https://gameservermanagers.com
+# Website: https://linuxgsm.com
 # Description: Raw gamedig output of the server.
 
 local commandname="QUERY-RAW"

+ 2 - 2
lgsm/functions/command_update_linuxgsm.sh

@@ -43,7 +43,7 @@ if [ -z "${legacymode}" ]; then
 		fn_print_ok_eol_nl
 	fi
 	echo -ne "    checking ${selfname}...\c"
-	script_diff=$(diff <(sed '/shortname/d;/gameservername/d;/gamename/d' "${tmpdir}/linuxgsm.sh") <(sed '/shortname/d;/gameservername/d;/gamename/d' "${rootdir}/${selfname}"))
+	script_diff=$(diff <(sed '\/shortname/d;\/gameservername/d;\/gamename/d;\/githubuser/d;\/githubrepo/d;\/githubbranch/d' "${tmpdir}/linuxgsm.sh") <(sed '\/shortname/d;\/gameservername/d;\/gamename/d;\/githubuser/d;\/githubrepo/d;\/githubbranch/d' "${rootdir}/${selfname}"))
 	if [ "${script_diff}" != "" ]; then
 		fn_print_update_eol_nl
 		echo -ne "    backup ${selfname}...\c"
@@ -114,4 +114,4 @@ else
 	fn_script_log_pass "Updating functions"
 fi
 echo -ne "\n"
-core_exit.sh
+core_exit.sh

+ 82 - 39
lgsm/functions/command_wipe.sh

@@ -43,63 +43,64 @@ fn_wipe_exit_code(){
 # Removes files to wipe server
 fn_wipe_server_remove_files(){
 	# Rust Wipe
-#WipeProceduralSave
 	if [ "${gamename}" == "Rust" ]; then
-		if [ -n "$(find "${serveridentitydir}" -type f -name "proceduralmap.*.sav")" ]; then
-			currentaction="Removing procedural map save(s): ${serveridentitydir}/proceduralmap.*.sav"
-			echo -en "Removing map saves proceduralmap.*.sav file(s)..."
+		# Wipe pocedural map
+		if [ -n "$(find "${serveridentitydir}" -type f -name "proceduralmap.*.map")" ]; then
+			currentaction="Removing map file(s): ${serveridentitydir}/proceduralmap.*.map"
+			echo -en "Removing procedural map proceduralmap.*.map file(s)..."
 			sleep 0.5
 			fn_script_log "${currentaction}"
-			find "${serveridentitydir:?}" -type f -name "proceduralmap.*.sav" -delete
+			find "${serveridentitydir:?}" -type f -name "proceduralmap.*.map" -delete
 			fn_wipe_exit_code
 			sleep 0.5
 		else
-			fn_print_information_nl "No procedural map save to remove"
-			fn_script_log_info "No procedural map save to remove."
+			fn_print_information_nl "No procedural map file to remove"
+			fn_script_log_info "No procedural map file to remove."
 			sleep 0.5
 		fi
-#WipeBarrenSave
-			if [ -n "$(find "${serveridentitydir}" -type f -name "barren*.sav")" ]; then
-			currentaction="Removing barren map save(s): ${serveridentitydir}/barren*.sav"
-			echo -en "Removing barren map saves barren*.sav file(s)..."
+		# Wipe procedural map save
+		if [ -n "$(find "${serveridentitydir}" -type f -name "proceduralmap.*.sav")" ]; then
+			currentaction="Removing procedural map save(s): ${serveridentitydir}/proceduralmap.*.sav"
+			echo -en "Removing map saves proceduralmap.*.sav file(s)..."
 			sleep 0.5
 			fn_script_log "${currentaction}"
-			find "${serveridentitydir:?}" -type f -name "barren*.sav" -delete
+			find "${serveridentitydir:?}" -type f -name "proceduralmap.*.sav" -delete
 			fn_wipe_exit_code
 			sleep 0.5
 		else
-			fn_print_information_nl "No barren map save to remove"
-			fn_script_log_info "No barren map save to remove."
+			fn_print_information_nl "No procedural map save to remove"
+			fn_script_log_info "No procedural map save to remove."
 			sleep 0.5
 		fi
-#WipeProceduralMap
-		if [ -n "$(find "${serveridentitydir}" -type f -name "proceduralmap.*.map")" ]; then
-			currentaction="Removing map file(s): ${serveridentitydir}/proceduralmap.*.map"
-			echo -en "Removing procedural map proceduralmap.*.map file(s)..."
+		# Wipe Barren map
+		if [ -n "$(find "${serveridentitydir}" -type f -name "barren*.map")" ]; then
+			currentaction="Removing map file(s): ${serveridentitydir}/barren*.map"
+			echo -en "Removing barren map barren*.map file(s)..."
 			sleep 0.5
 			fn_script_log "${currentaction}"
-			find "${serveridentitydir:?}" -type f -name "proceduralmap.*.map" -delete
+			find "${serveridentitydir:?}" -type f -name "barren*.map" -delete
 			fn_wipe_exit_code
 			sleep 0.5
 		else
-			fn_print_information_nl "No procedural map file to remove"
-			fn_script_log_info "No procedural map file to remove."
+			fn_print_information_nl "No barren map file to remove"
+			fn_script_log_info "No barren map file to remove."
 			sleep 0.5
 		fi
-#WipeBarrenMap
-				if [ -n "$(find "${serveridentitydir}" -type f -name "barren*.map")" ]; then
-			currentaction="Removing map file(s): ${serveridentitydir}/barren*.map"
-			echo -en "Removing barren map barren*.map file(s)..."
+		# Wipe barren map save
+		if [ -n "$(find "${serveridentitydir}" -type f -name "barren*.sav")" ]; then
+			currentaction="Removing barren map save(s): ${serveridentitydir}/barren*.sav"
+			echo -en "Removing barren map saves barren*.sav file(s)..."
 			sleep 0.5
 			fn_script_log "${currentaction}"
-			find "${serveridentitydir:?}" -type f -name "barren*.map" -delete
+			find "${serveridentitydir:?}" -type f -name "barren*.sav" -delete
 			fn_wipe_exit_code
 			sleep 0.5
 		else
-			fn_print_information_nl "No barren map file to remove"
-			fn_script_log_info "No barren map file to remove."
+			fn_print_information_nl "No barren map save to remove"
+			fn_script_log_info "No barren map save to remove."
 			sleep 0.5
 		fi
+		# Wipe user dir, might be a legacy thing, maybe to be removed
 		if [ -d "${serveridentitydir}/user" ]; then
 			currentaction="Removing user directory: ${serveridentitydir}/user"
 			echo -en "Removing user directory..."
@@ -108,11 +109,9 @@ fn_wipe_server_remove_files(){
 			rm -rf "${serveridentitydir:?}/user"
 			fn_wipe_exit_code
 			sleep 0.5
-		else
-			fn_print_information_nl "No user directory to remove"
-			fn_script_log_info "No user directory to remove."
-			sleep 0.5
+		# We do not print additional information if there is nothing to remove since this might be obsolete
 		fi
+		# Wipe storage dir, might be a legacy thing, maybe to be removed
 		if [ -d "${serveridentitydir}/storage" ]; then
 			currentaction="Removing storage directory: ${serveridentitydir}/storage"
 			echo -en "Removing storage directory..."
@@ -121,11 +120,58 @@ fn_wipe_server_remove_files(){
 			rm -rf "${serveridentitydir:?}/storage"
 			fn_wipe_exit_code
 			sleep 0.5
+		# We do not print additional information if there is nothing to remove since this might be obsolete
+		fi
+		# Wipe sv.files
+		if [ -n "$(find "${serveridentitydir}" -type f -name "sv.files.*.db")" ]; then
+			currentaction="Removing server misc files: ${serveridentitydir}/sv.files.*.db"
+			echo -en "Removing server misc srv.files*.db file(s)..."
+			sleep 0.5
+			fn_script_log "${currentaction}"
+			find "${serveridentitydir:?}" -type f -name "sv.files.*.d" -delete
+			fn_wipe_exit_code
+			sleep 0.5
+		# No further information if not found because it should I could not get this file showing up
+		fi
+		# Wipe player death files
+		if [ -n "$(find "${serveridentitydir}" -type f -name "player.deaths.*.db")" ]; then
+			currentaction="Removing player death files: ${serveridentitydir}/player.deaths.*.db"
+			echo -en "Removing player deaths player.deaths.*.db file(s)..."
+			sleep 0.5
+			fn_script_log "${currentaction}"
+			find "${serveridentitydir:?}" -type f -name "player.deaths.*.db" -delete
+			fn_wipe_exit_code
+			sleep 0.5
 		else
-			fn_print_information_nl "No storage directory to remove"
-			fn_script_log_info "No storage directory to remove."
+			fn_print_information_nl "No player death to remove"
+			fn_script_log_info "No player death to remove."
 			sleep 0.5
 		fi
+		# Wipe blueprints only if wipeall command was used
+		if [ "${wipeall}" == "1" ]; then
+			if [ -n "$(find "${serveridentitydir}" -type f -name "player.blueprints.*.db")" ]; then
+				currentaction="Removing blueprint file(s): ${serveridentitydir}/player.blueprints.*.db"
+				echo -en "Removing blueprints player.blueprints.*.db file(s)..."
+				sleep 0.5
+				fn_script_log "${currentaction}"
+				find "${serveridentitydir:?}" -type f -name "player.blueprints.*.db" -delete
+				fn_wipe_exit_code
+				sleep 0.5
+			else
+				fn_print_information_nl "No blueprint file to remove"
+				fn_script_log_info "No blueprint file to remove."
+				sleep 0.5
+			fi
+		elif [ -n "$(find "${serveridentitydir}" -type f -name "player.blueprints.*.db")" ]; then
+				fn_print_information_nl "Keeping blueprints"
+				fn_script_log_info "Keeping blueprints."
+				sleep 0.5
+		else
+				fn_print_information_nl "No blueprints found"
+				fn_script_log_info "No blueprints found."
+				sleep 0.5				
+		fi
+		# Wipe some logs that might be there
 		if [ -n "$(find "${serveridentitydir}" -type f -name "Log.*.txt")" ]; then
 			currentaction="Removing log files: ${serveridentitydir}/Log.*.txt"
 			echo -en "Removing Log files..."
@@ -134,10 +180,7 @@ fn_wipe_server_remove_files(){
 			find "${serveridentitydir:?}" -type f -name "Log.*.txt" -delete
 			fn_wipe_exit_code
 			sleep 0.5
-		else
-			fn_print_information_nl "No log files to remove"
-			fn_script_log_info "No log files to remove."
-			sleep 0.5
+		# We do not print additional information if there are no logs to remove
 		fi
 	# You can add an "elif" here to add another game or engine
 	fi
@@ -146,7 +189,7 @@ fn_wipe_server_remove_files(){
 # Check if there is something to wipe, prompt the user, and call appropriate functions
 # Rust Wipe
 if [ "${gamename}" == "Rust" ]; then
-	if [ -d "${serveridentitydir}/storage" ]||[ -d "${serveridentitydir}/user" ]||[ -n "$(find "${serveridentitydir}" -type f -name "proceduralmap*.sav")" ]||[ -n "$(find "${serveridentitydir}" -type f -name "barren*.sav")" ]||[ -n "$(find "${serveridentitydir}" -type f -name "Log.*.txt")" ]; then
+	if [ -d "${serveridentitydir}/storage" ]||[ -d "${serveridentitydir}/user" ]||[ -n "$(find "${serveridentitydir}" -type f -name "proceduralmap*.sav")" ]||[ -n "$(find "${serveridentitydir}" -type f -name "barren*.sav")" ]||[ -n "$(find "${serveridentitydir}" -type f -name "Log.*.txt")" ]||[ -n "$(find "${serveridentitydir}" -type f -name "player.deaths.*.db")" ]||[ -n "$(find "${serveridentitydir}" -type f -name "player.blueprints.*.db")" ]||[ -n "$(find "${serveridentitydir}" -type f -name "sv.files.*.db")" ]; then
 		fn_print_warning_nl "Any user, storage, log and map data from ${serveridentitydir} will be erased."
 		if ! fn_prompt_yn "Continue?" Y; then
 				echo Exiting; core_exit.sh

+ 3 - 2
lgsm/functions/core_getopt.sh

@@ -35,7 +35,8 @@ cmd_mods_update=( "mu;mods-update" "command_mods_update.sh" "Update installed mo
 # Server specific
 cmd_change_password=( "pw;change-password" "command_ts3_server_pass.sh" "Change TS3 serveradmin password." )
 cmd_install_default_resources=( "ir;install-default-resources" "command_install_resources_mta.sh" "Install the MTA default resources." )
-cmd_wipe=( "wi;wipe" "command_wipe.sh" "Wipe your server data." )
+cmd_wipe=( "wi;wipe" "command_wipe.sh" "Wipe your main game server data." )
+cmd_wipeall=( "wa;wipeall" "wipeall=1; command_wipe.sh" "Wipe your game server data and blueprints." )
 cmd_map_compressor_u99=( "mc;map-compressor" "compress_ut99_maps.sh" "Compresses all ${gamename} server maps." )
 cmd_map_compressor_u2=( "mc;map-compressor" "compress_unreal2_maps.sh" "Compresses all ${gamename} server maps." )
 cmd_install_cdkey=( "cd;server-cd-key" "install_ut2k4_key.sh" "Add your server cd key." )
@@ -93,7 +94,7 @@ fi
 
 # Unreal exclusive
 if [ "${gamename}" == "Rust" ]; then
-	currentopt+=( "${cmd_wipe[@]}" )
+	currentopt+=( "${cmd_wipe[@]}" "${cmd_wipeall[@]}" )
 fi
 if [ "${engine}" == "unreal2" ]; then
 	if [ "${gamename}" == "Unreal Tournament 2004" ]; then

+ 9 - 4
lgsm/functions/core_messages.sh

@@ -12,13 +12,18 @@ if [ "${ansi}" != "off" ]; then
 	# echo colors
 	default="\e[0m"
 	red="\e[31m"
+	lightred="\e[91m"
 	green="\e[32m"
+	lightgreen="\e[92m"
 	yellow="\e[33m"
 	lightyellow="\e[93m"
 	blue="\e[34m"
 	lightblue="\e[94m"
 	magenta="\e[35m"
+	lightmagenta="\e[95m"
 	cyan="\e[36m"
+	lightcyan="\e[96m"
+
 	# carriage return & erase to end of line
 	creeol="\r\033[K"
 fi
@@ -315,20 +320,20 @@ fn_print_fail_eol_nl(){
 
 # WARN
 fn_print_warn_eol(){
-	echo -en "${red}FAIL${default}"
+	echo -en "${red}WARN${default}"
 }
 
 fn_print_warn_eol_nl(){
-	echo -e "${red}FAIL${default}"
+	echo -e "${red}WARN${default}"
 }
 
 # INFO
 fn_print_info_eol(){
-	echo -en "${red}FAIL${default}"
+	echo -en "${red}INFO${default}"
 }
 
 fn_print_info_eol_nl(){
-	echo -e "${red}FAIL${default}"
+	echo -e "${red}INFO${default}"
 }
 
 # QUERYING

+ 1 - 1
lgsm/functions/fix.sh

@@ -84,7 +84,7 @@ if [ "${function_selfname}" == "command_install.sh" ]; then
 		elif [ "${gamename}" == "Unreal Tournament 3" ]; then
 			fix_ut3.sh
 		else
-			fn_print_information "No fixes required."
+			fn_print_information_nl "No fixes required."
 		fi
 
 fi

+ 34 - 1
lgsm/functions/info_config.sh

@@ -331,6 +331,36 @@ fn_info_config_minecraft(){
 	fi
 }
 
+#Post Scriptum: The bloody Seventh
+fn_info_config_pstbs(){
+	if [ ! -f "${servercfgfullpath}" ]; then
+		servername="${unavailable}"
+		maxplayers="${unavailable}"
+		numreservedslots="${unavailable}"
+	else
+		servername="$(grep "ServerName=" "${servercfgfullpath}" | sed -e 's/^[ \t]//g' -e '/^#/d' -e 's/ServerName//g' | tr -d '=";,:' | sed -e 's/^[ \t]//' -e 's/[ \t]*$//')"
+		maxplayers="$(grep "MaxPlayers=" "${servercfgfullpath}" | tr -cd '[:digit:]')"
+		numreservedslots="$(grep "NumReservedSlots=" "${servercfgfullpath}" | tr -cd '[:digit:]')"
+	fi
+
+	if [ ! -f "${servercfgdir}/Rcon.cfg" ]; then
+		rconport=${unavailable}
+		rconpassword=${unavailable}
+	else
+		rconport=$(grep "Port=" "${servercfgdir}/Rcon.cfg" | tr -cd '[:digit:]')
+		rconpassword=$(grep "Password=" "${servercfgdir}/Rcon.cfg" | sed -e 's/^[ \t]*//g' -e '/^\//d' -e 's/Password//g' | tr -d '=\";,:' | sed -e 's/^[ \t]*//' -e 's/[ \t]*$//')
+	fi
+
+	rconport=${rconport:-"0"}
+	if [ -z "${rconpassword}" ]||[ ${#rconpassword} == 1 ]; then
+		rconpassword="NOT SET"
+	fi
+	servername=${servername:-"NOT SET"}
+	serverpassword=${serverpassword:-"NOT SET"}
+	maxplayers=${maxplayers:-"0"}
+	numreservedslots=${maxplayers:-"0"}
+}
+
 fn_info_config_projectcars(){
 	if [ ! -f "${servercfgfullpath}" ]; then
 		servername="${unavailable}"
@@ -1078,6 +1108,9 @@ elif [ "${gamename}" == "Quake Live" ]; then
 # Minecraft
 elif [ "${engine}" == "lwjgl2" ]; then
 	fn_info_config_minecraft
+# Post Scriptum: The Bloody Seventh
+elif [ "${shortname}" == "pstbs" ]; then
+	fn_info_config_pstbs
 # Project Cars
 elif [ "${gamename}" == "Project Cars" ]; then
 	fn_info_config_projectcars
@@ -1137,4 +1170,4 @@ elif [ "${gamename}" == "Squad" ]; then
 # Stationeers
 elif [ "${gamename}" == "Stationeers" ]; then
 	fn_info_config_stationeers
-fi
+fi

+ 25 - 21
lgsm/functions/info_distro.sh

@@ -90,31 +90,23 @@ days=$(( uptime/60/60/24 ))
 load=$(uptime|awk -F 'load average: ' '{ print $2 }')
 
 ## Memory information
-# Available RAM and swap.
-
-# Older versions of free do not support -h option.
-if [ "$(free -h > /dev/null 2>&1; echo $?)" -ne "0" ]; then
-	humanreadable="-m"
-else
-	humanreadable="-h"
-fi
 
-physmemtotal=$(free ${humanreadable} | awk '/Mem:/ {print $2}')
-physmemtotalmb=$(free -m | awk '/Mem:/ {print $2}')
-physmemused=$(free ${humanreadable} | awk '/Mem:/ {print $3}')
-physmemfree=$(free ${humanreadable} | awk '/Mem:/ {print $4}')
-oldfree=$(free ${humanreadable} | awk '/cache:/')
-if [ -n "${oldfree}" ]; then
+# Available RAM and swap.
+physmemtotalmb=$(($(grep MemTotal /proc/meminfo | awk '{print $2}')/1024))
+physmemtotal=$(numfmt --to=iec --from=iec --suffix=B "$(grep ^MemTotal /proc/meminfo | awk '{print $2}')K")
+physmemfree=$(numfmt --to=iec --from=iec --suffix=B "$(grep ^MemAvailable /proc/meminfo | awk '{print $2}')K")
+physmemused=$(numfmt --to=iec --from=iec --suffix=B "$(($(grep "^MemTotal\:" /proc/meminfo | awk '{print $2}')-$(grep "^MemFree\:" /proc/meminfo | awk '{print $2}')-$(grep "^Buffers\:" /proc/meminfo | awk '{print $2}')-$(grep "^Cached\:" /proc/meminfo | awk '{print $2}')-$(grep "^SReclaimable\:" /proc/meminfo | awk '{print $2}')))K")
+{ # try
+	physmemavailable=$(numfmt --to=iec --from=iec --suffix=B "$(grep ^MemAvailable /proc/meminfo | awk '{print $2}')K")
+	physmemcached=$(numfmt --to=iec --from=iec --suffix=B "$(($(grep ^Cached /proc/meminfo | awk '{print $2}')+$(grep "^SReclaimable\:" /proc/meminfo | awk '{print $2}')))K")
+} 2>/dev/null || { # fail silently, catch
 	physmemavailable="n/a"
 	physmemcached="n/a"
-else
-	physmemavailable=$(free ${humanreadable} | awk '/Mem:/ {print $7}')
-	physmemcached=$(free ${humanreadable} | awk '/Mem:/ {print $6}')
-fi
+}
 
-swaptotal=$(free ${humanreadable} | awk '/Swap:/ {print $2}')
-swapused=$(free ${humanreadable} | awk '/Swap:/ {print $3}')
-swapfree=$(free ${humanreadable} | awk '/Swap:/ {print $4}')
+swaptotal=$(numfmt --to=iec --from=iec --suffix=B "$(grep ^SwapTotal /proc/meminfo | awk '{print $2}')K")
+swapfree=$(numfmt --to=iec --from=iec --suffix=B "$(grep ^SwapFree /proc/meminfo | awk '{print $2}')K")
+swapused=$(numfmt --to=iec --from=iec --suffix=B "$(($(grep ^SwapTotal /proc/meminfo | awk '{print $2}')-$(grep ^SwapFree /proc/meminfo | awk '{print $2}')))K")
 
 ### Disk information
 
@@ -179,4 +171,16 @@ if [ -z "${extip}" ]; then
 			echo "x.x.x.x"
 		fi
 	fi
+fi
+
+# Steam Master Server - checks if detected by master server
+if [ "${ip}" ] && [ "${port}" ]; then
+	if [ "${engine}" == "source" ]||[ "${engine}" == "goldsource" ]||[ "${shortname}" == "jc2" ]||[ "${shortname}" == "ql" ]; then
+		masterserver=$(${curlpath} -s 'https://api.steampowered.com/ISteamApps/GetServersAtAddress/v0001?addr='${ip}':'${port}'&format=json' | jq '.response.servers[]|.addr' | wc -l)
+		if [ "${steammaster}" == "1" ]; then
+			masterserver="true"
+		else
+			masterserver="false"
+		fi
+	fi
 fi

+ 4 - 1
lgsm/functions/info_glibc.sh

@@ -90,6 +90,9 @@ elif [ "${gamename}" == "Project Cars" ]; then
 elif [ "${gamename}" == "Pirates, Vikings, and Knights II" ]; then
 	glibcrequired="2.15"
 	glibcfix="yes"
+elif [ "${shortname}" == "pstbs" ]; then
+	glibcrequired="2.17"
+	glibcfix="no"
 elif [ "${gamename}" == "Quake 2" ]; then
 	glibcrequired="NOT REQUIRED"
 	glibcfix="no"
@@ -205,7 +208,7 @@ fi
 
 # Sets the SteamCMD GLIBC requirement if the game server requirement is less or not required.
 if [ -n "${appid}" ]; then
-	if [ "${glibcrequired}" = "NOT REQUIRED" ]||[ -z "${glibcrequired}" ]||[ "$(printf '%s\n'${glibcrequired}'\n' "${glibcversion}" | sort -V | head -n 1)" != "2.14" ]; then
+	if [ "${glibcrequired}" = "NOT REQUIRED" ]||[ -z "${glibcrequired}" ]||[ "$(printf '%s\n'${glibcrequired}'\n' "2.14" | sort -V | head -n 1)" != "2.14" ]; then
 		glibcrequired="2.14"
 		glibcfix="no"
 	fi

+ 23 - 2
lgsm/functions/info_messages.sh

@@ -71,7 +71,7 @@ fn_info_message_performance(){
 	} | column -s $'\t' -t
 	echo -e ""
 	{
-		echo -e "${blue}Mem:\t${blue}total\t used\t free\t cached\t available${default}"
+		echo -e "${blue}Mem:\t${blue}total\tused\tfree\tcached\tavailable${default}"
 		echo -e "${blue}Physical:\t${default}${physmemtotal}\t${physmemused}\t${physmemfree}\t${physmemcached}\t${physmemavailable}${default}"
 		echo -e "${blue}Swap:\t${default}${swaptotal}\t${swapused}\t${swapfree}${default}"
 	} | column -s $'\t' -t
@@ -282,11 +282,20 @@ fn_info_message_gameserver(){
 			echo -e "${blue}ASE:\t${default}${saveinterval} s"
 		fi
 
-		# Random map rotation mode (Squad)
+		# Random map rotation mode (Squad and Post Scriptum)
 		if [ -n "${randommap}" ]; then
 			echo -e "${blue}Map rotation:\t${default}${randommap}"
 		fi
 
+		# Listed on Master Server
+		if [ "${masterserver}" ];then
+			if [ "${masterserver}" == "true" ];then
+				echo -e "${blue}Master Server:\t${green}${masterserver}${default}"
+			else
+				echo -e "${blue}Master Server:\t${red}${masterserver}${default}"
+			fi
+		fi
+
 		# Online status
 		if [ "${status}" == "0" ]; then
 			echo -e "${blue}Status:\t${red}OFFLINE${default}"
@@ -693,6 +702,16 @@ fn_info_message_mumble(){
 		echo -e "> ServerQuery\tINBOUND\t${port}\ttcp"
 	} | column -s $'\t' -t
 }
+fn_info_Message_pstbs(){
+	echo -e "netstat -atunp | grep PostScriptum"
+	echo -e ""
+	{
+		echo -e "DESCRIPTION\tDIRECTION\tPORT\tPROTOCOL"
+		echo -e "> Game\tINBOUND\t${port}\tudp"
+		echo -e "> Query\tINBOUND\t${queryport}\tudp"
+		echo -e "> RCON\tINBOUND\t${rconport}\ttcp"
+	} | column -s $'\t' -t
+}
 
 fn_info_message_projectcars(){
 	echo -e "netstat -atunp | grep DedicatedS"
@@ -1106,6 +1125,8 @@ fn_info_message_select_engine(){
 		fn_info_message_justcause3
 	elif [ "${shortname}" == "kf2" ]; then
 		fn_info_message_kf2
+	elif [ "${shortname}" == "pstbs" ]; then
+		fn_info_Message_pstbs
 	elif [ "${gamename}" == "Project Cars" ]; then
 		fn_info_message_projectcars
 	elif [ "${gamename}" == "QuakeWorld" ]; then

+ 1 - 1
lgsm/functions/query_gamedig.sh

@@ -1,7 +1,7 @@
 #!/bin/bash
 # query_gamedig.sh function
 # Author: Daniel Gibbs
-# Website: https://gameservermanagers.com
+# Website: https://linuxgsm.com
 # Description: Querys a gameserver using node-gamedig.
 # https://github.com/sonicsnes/node-gamedig
 

Algúns arquivos non se mostraron porque demasiados arquivos cambiaron neste cambio